import { Logger } from './cli/logger';
export declare type NpmInstallMode = 'prod' | 'dev' | 'optional';
export declare type PropsGlobal = {
    readonly cwd: string;
    readonly tpl: string;
    readonly cfg: string;
    readonly log: Logger;
};
export declare type Action<Props extends Record<string, unknown> = Record<string, unknown>, ActionReturn = void> = (argv: PropsGlobal, props: Props) => Promise<ActionReturn>;
